UpdateApplicationTimeoutsResponse (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: UpdateApplicationTimeoutsResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class UpdateApplicationTimeoutsResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsResponse

@Public @Unstable public abstract class UpdateApplicationTimeoutsResponse extends Object

The response sent by the `ResourceManager` to the client on update application timeout.

A response without exception means that the update has completed successfully.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateApplicationTimeoutsResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Map<ApplicationTimeoutType,String>`
  `getApplicationTimeouts()`
  Get `ApplicationTimeouts` of the application.
  `static UpdateApplicationTimeoutsResponse`
  `newInstance()`
  `abstract void`
  `setApplicationTimeouts(Map<ApplicationTimeoutType,String> applicationTimeouts)`
  Set the `ApplicationTimeouts` for the application.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateApplicationTimeoutsResponse

    public UpdateApplicationTimeoutsResponse()

- ## Method Details

  - ### newInstance

    public static UpdateApplicationTimeoutsResponse newInstance()

  - ### getApplicationTimeouts

    public abstract Map<ApplicationTimeoutType,String> getApplicationTimeouts()
    Get `ApplicationTimeouts` of the application. Timeout value is in ISO8601 standard with format yyyy-MM-dd'T'HH:mm:ss.SSSZ.
    Returns:
      all `ApplicationTimeouts` of the application.

  - ### setApplicationTimeouts

    public abstract void setApplicationTimeouts(Map<ApplicationTimeoutType,String> applicationTimeouts)
    Set the `ApplicationTimeouts` for the application. Timeout value is absolute. Timeout value should meet ISO8601 format. Support ISO8601 format is yyyy-MM-dd'T'HH:mm:ss.SSSZ. All pre-existing Map entries are cleared before adding the new Map.
    Parameters:
      `applicationTimeouts` - `ApplicationTimeouts`s for the application